Admiral

Applications

Create an application

POST
/v1/applications

Scope: app:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

CreateApplicationRequest creates an application in the caller's tenant.

Response Body

application/json

curl -X POST "https://example.com/v1/applications" \  -H "Content-Type: application/json" \  -d '{    "application": {}  }'
{  "application": {    "id": "string",    "name": "string",    "description": "string",    "labels": {      "property1": "string",      "property2": "string"    },    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z"  }}